Bug 3359 - SWAT view and office 2003 file sharing
SWAT view and office 2003 file sharing
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: SWAT
3.0.21b
x86 Windows XP
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 00:21 UTC by franck pignard
Modified: 2013-09-02 12:30 UTC (History)
0 users

See Also:


Attachments
The swat view in the current stable version (115.66 KB, image/jpeg)
2005-12-29 00:34 UTC, franck pignard
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description franck pignard 2005-12-29 00:21:14 UTC
Hello, i have ugraded my samba version from 3.020 to 3.021 on a SuseLinux 9.1 pro version on a DELL POWEREDGE 2600 Bi-Xeon with RPM packages found in the web site.

On Swat view, i can not see any more the open files but some things like below :
(2 squares in fact instead of the real name) :

PID Sharing R/W Oplock Fichier Date 
7063 DENY_DOS  RDWR  EXCLUSIVE+BATCH   Thu Dec 29 08:15:00 2005  
7063 DENY_DOS  RDONLY  NONE   Thu Dec 29 08:15:00 2005  
6848 DENY_DOS  RDWR  EXCLUSIVE+BATCH   Thu Dec 29 07:45:30 2005  
6848 DENY_DOS  RDONLY  NONE   Thu Dec 29 07:45:31 2005  
7063 DENY_DOS  RDWR  NONE   Thu Dec 29 08:09:46 2005  
6848 DENY_DOS  RDWR  EXCLUSIVE+BATCH   Thu Dec 29 07:46:11 2005  
6848 DENY_DOS  RDONLY  NONE   Thu Dec 29 07:46:14 2005  

The second point is more critical, PC users have Windows XP SP2 and office pro 2003, if you try to open an excel file, it tooks very long time to be advised that the file is already open by an other user, even if the file is a small one, same things with Word application. I have not perform any change on the smb.conf parameter just perform an upgrade

Can you help me ?
Best regards

Franck PIGNARD (General IT Manager)
SMAD (FRESENIUS MEDICAL CARE)
ZI La Pontchonnière - Secteur Ouest
Route de la Chanade - Savigny - BP 0106
69591 L'ARBRESLE Cedex
FRANCE
Tel : +33 4 74 01 60 19 (Direct line)
Fax : + 33 4 74 01 21 81
Comment 1 franck pignard 2005-12-29 00:34:01 UTC
Created attachment 1636 [details]
The swat view in the current stable version

As you can see, it is not possible to read the real name of the open files
(tested with IE6 and mozilla)
Comment 2 franck pignard 2005-12-29 01:04:55 UTC
Some remarks :
1) the "swat view" is correct when using the linux command : smbstatus

2)it takes more than 30 seconds to inform you that the file is already open !
(less than 2 seconds with the previous release 3.0.20)

the problem occurs even between Word and Excel files with both of office 2000 or 2003 version
3) the testparm command do not show any error
the following message was found on the warn log :
smbd[7508]:   Oplock break failed -- replying anyway

Comment 3 Deryck Hodge 2006-01-18 17:18:37 UTC
Changing the "product" id to Samba 3.
Comment 4 franck pignard 2006-01-30 05:51:30 UTC
(In reply to comment #3)
> Changing the "product" id to Samba 3.

what do you mean by change the product id (the name of server string ?)

thanks for your answer
Comment 5 franck pignard 2006-02-01 06:33:22 UTC
(In reply to comment #4)
Better with the stable version 3.0.21b but can not see the file name
as shown below

23685 DENY_DOS  RDWR  NONE  /home/smad/partages/COMMUN Wed Feb  1 14:24:31 2006  
23801 DENY_DOS  RDWR  NONE  /home/smad/partages/COMMUN Wed Feb  1 14:28:47 2006  
23685 DENY_DOS  RDWR  NONE  /home/smad/partages/COMMUN Wed Feb  1 14:24:33 2006  
23780 DENY_DOS  RDONLY  NONE  /home/smad/partages/COMMUN Wed Feb  1 14:29:20 2006  
Comment 6 Deryck Hodge 2006-02-09 09:31:25 UTC
Forgot to reassign when I changed the product/component id.
It's not really a web issue.
Comment 7 franck pignard 2006-02-13 03:34:18 UTC
(In reply to comment #6)
> Forgot to reassign when I changed the product/component id.
> It's not really a web issue.

Hello, I am really sorry but i can not understand how to correct it, if i could.
I have just upgraded my existing version with SuSe RPM packages delivered on your web site. is it possible to reaasign the id by myself ? how do you perform this.
Best regards
Franck
Comment 8 Björn Jacke 2013-09-02 12:30:19 UTC
fixed in 4.1 because swat do longer exists